Project/src/main/java/model/User.java
package model;

import java.sql.Timestamp;
import java.util.Date;

public class User {

  private int id;
  private String login_id;
  private String name;
  private Date birth_date;
  private String password;
  private boolean isAdmin;
  private Timestamp create_date;
  private Timestamp update_date;


  // コンストラクタ
  public User() {}

  // コンストラクタ
  public User(int id, String login_id, String name, Date birth_date, String password,
      boolean isAdmin, Timestamp create_date, Timestamp update_date) {
    super();
    this.id = id;
    this.login_id = login_id;
    this.name = name;
    this.birth_date = birth_date;
    this.password = password;
    this.isAdmin = isAdmin;
    this.create_date = create_date;
    this.update_date = update_date;
  }


  public int getId() {
    return id;
  }

  public void setId(int id) {
    this.id = id;
  }

  public String getLogin_id() {
    return login_id;
  }

  public void setLogin_id(String login_id) {
    this.login_id = login_id;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public Date getBirth_date() {
    return birth_date;
  }

  public void setBirth_date(Date birth_date) {
    this.birth_date = birth_date;
  }

  public String getPassword() {
    return password;
  }

  public void setPassword(String password) {
    this.password = password;
  }

  public boolean isAdmin() {
    return isAdmin;
  }

  public void setAdmin(boolean isAdmin) {
    this.isAdmin = isAdmin;
  }

  public Timestamp getCreate_date() {
    return create_date;
  }

  public void setCreate_date(Timestamp create_date) {
    this.create_date = create_date;
  }

  public Timestamp getUpdate_date() {
    return update_date;
  }

  public void setUpdate_date(Timestamp update_date) {
    this.update_date = update_date;
  }
}

Project/src/main/java/controller/UserAddServlet.java
package controller;

import java.io.IOException;
import java.sql.Date;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;
import util.PasswordEncoder;

/**
 * Servlet implementation class UserAddServlet
 */
@WebServlet("/UserAddServlet")
public class UserAddServlet extends HttpServlet {
  private static final long serialVersionUID = 1L;

  /**
   * @see HttpServlet#HttpServlet()
   */
  public UserAddServlet() {
    super();
    // TODO Auto-generated constructor stub
  }

  /**
   * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
   */
  protected void doGet(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {
    // ログインチェック
    HttpSession session = request.getSession();
    User user = (User) session.getAttribute("userInfo");

    // もしユーザー情報が取得できない場合リダイレクト
    if (user == null) {
      response.sendRedirect("LoginServlet");
      return;
    }
    // ユーザー情報が取得できる場合フォワードする
    RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userAdd.jsp");
    dispatcher.forward(request, response);
  }

  /**
   * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
   */
  protected void doPost(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {

    // 文字コードを設定
    request.setCharacterEncoding("UTF-8");
    // 記入され送信されたリクエストパラメータを取得
    String loginId = request.getParameter("loginiId");
    String password = request.getParameter("password");
    String passwordConfirm = request.getParameter("passwordConfirm");
    String name = request.getParameter("name");
    String strBirthDate = request.getParameter("birthDate");

    
    // すでに使われているIDかどうかID未使用チェック
    UserDao userDao = new UserDao();
    User user = userDao.findById(loginId);
    // 全ての値が入力されたかどうか
    boolean isEmpty = (loginId.equals("") || password.equals("") || passwordConfirm.equals("")
        || name.equals("") || strBirthDate.equals(""));
    // パスワードが2つとも同じか
    boolean isPasswordSame = (password.equals(passwordConfirm));

    // ひとつでも該当する場合は入力された値を画面に表示するためリクエストコープへセット（pw以外）
    if (isEmpty || !isPasswordSame) {
      request.setAttribute("loginId", loginId);
      request.setAttribute("name", name);
      request.setAttribute("birthDate", strBirthDate);
     
      
      // リクエストスコープにエラーメッセージをセット→setAttribute
      request.setAttribute("errMsg", "入力した内容は正しくありません");


      RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userAdd.jsp");
      dispatcher.forward(request, response);
      return;
    }

    try {
      Date birthDate = Date.valueOf(strBirthDate);
      
      //パスの暗号化
      String encodedPassword = PasswordEncoder.encodePassword(password);
      
      //DBへ書き込み
      userDao.insert(loginId, name, encodedPassword, birthDate);
      
      
      
      response.sendRedirect("UserListServlet");
      
    } catch (IllegalArgumentException e) {
      e.printStackTrace();
    }

  }
}

Project/src/main/java/controller/UserDeleteServlet.java
package controller;

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;

/**
 * Servlet implementation class DeleteServlet
 */
@WebServlet("/UserDeleteServlet")
public class UserDeleteServlet extends HttpServlet {
  private static final long serialVersionUID = 1L;

  /**
   * @see HttpServlet#HttpServlet()
   */
  public UserDeleteServlet() {
    super();
    // TODO Auto-generated constructor stub
  }

  /**
   * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
   */
  protected void doGet(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {

    // ログインチェック
    HttpSession session = request.getSession();
    User user = (User) session.getAttribute("userInfo");

    // もしユーザー情報が取得できない場合リダイレクト
    if (user == null) {
      response.sendRedirect("LoginServlet");
      return;
    }

    // idをキーにパラメータを取得
    String strId = request.getParameter("id");
    int id = Integer.valueOf(strId);


    // idを引数にUserDao.findById()を呼び出す
    UserDao userDao = new UserDao();
    User userDelete = userDao.findById(id);

    // キーuserに対して上記の戻り値をリクエストスコープに対してセットする
    request.setAttribute("user", userDelete);

    // userDelete.jspにフォワード
    RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userDelete.jsp");
    dispatcher.forward(request, response);
    }
  
  


  /**
   * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
   */
  protected void doPost(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {
    try {
      // 文字コードを設定
      request.setCharacterEncoding("UTF-8");
      // 送信されたリクエストパラメータを取得（文字列のIDのみでよい）
      String deleteId = request.getParameter("id");
     
      
      UserDao userDao2 = new UserDao(); // インスタンス化
      userDao2.delete(deleteId);
      
      response.sendRedirect("UserListServlet");
    } catch (IllegalArgumentException e) {
      e.printStackTrace();
      
    }

}
}

Project/src/main/java/controller/UserDetailServlet.java
package controller;

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;

/**
 * Servlet implementation class UserDetailServlet
 */
@WebServlet("/UserDetailServlet")
public class UserDetailServlet extends HttpServlet {
  private static final long serialVersionUID = 1L;

  /**
   * @see HttpServlet#HttpServlet()
   */
  public UserDetailServlet() {
    super();
    // TODO Auto-generated constructor stub
  }

  /**
   * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
   */
  protected void doGet(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {
    // ログインチェック
    HttpSession session = request.getSession();
    User user = (User) session.getAttribute("userInfo");

    // もしユーザー情報が取得できない場合リダイレクト
    if (user == null) {
      response.sendRedirect("LoginServlet");
      return;
    }

    //idをキーにパラメータを取得
    String strId = request.getParameter("id");
    int id = Integer.valueOf(strId);
    
    //idを引数にUserDao.findById()を呼び出す
    UserDao userDao = new UserDao();
    User userDetail = userDao.findById(id);
    
    //キーuserに対して上記の戻り値をリクエストスコープに対してセットする
    request.setAttribute("user", userDetail);
    
    //userDetail.jspにフォワード
    RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userDetail.jsp");
    dispatcher.forward(request, response);
  }



  /**
   * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
   */
  protected void doPost(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {

  }

}

Project/src/main/java/controller/UserListServlet.java
package controller;

import java.io.IOException;
import java.util.List;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;

/**
 * Servlet implementation class UserListServlet
 */
@WebServlet("/UserListServlet")
public class UserListServlet extends HttpServlet {
  private static final long serialVersionUID = 1L;

  /**
   * @see HttpServlet#HttpServlet()
   */
  public UserListServlet() {
    super();
    // TODO Auto-generated constructor stub
  }

  /**
   * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
   */
  protected void doGet(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {
    // ログインチェック
    HttpSession session = request.getSession();
    User user = (User) session.getAttribute("userInfo");

    // もしユーザー情報が取得できない場合リダイレクト
    if (user == null) {
      response.sendRedirect("LoginServlet");
      return;
    }


    // ユーザー一覧表を表示するため情報を呼び出すメソッドを実行
    UserDao userDao = new UserDao(); // 新規インスタンス
    List<User> userList = userDao.findAll(); // 格納

    // 戻り値をリクエストスコープにセット
    request.setAttribute("userList", userList);

    // userListへフォワードする
    RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userList.jsp");
    dispatcher.forward(request, response);
  }

  /**
   * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
   */
  protected void doPost(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {
 
    // 文字コードを設定
    request.setCharacterEncoding("UTF-8");
    // 記入され送信されたリクエストパラメータを取得
    String loginId = request.getParameter("loginId");
    String name = request.getParameter("name");
    String birthDateStart = request.getParameter("birthDateStart");
    String birthDateEnd = request.getParameter("birthDateEnd");
    
    // ユーザー一覧表を表示するため情報を呼び出すメソッドを実行
    UserDao userDao = new UserDao(); // 新規インスタンス
    
    List<User> userSearchList = userDao.search(loginId, name, birthDateStart, birthDateEnd); // 格納

    // 戻り値をリクエストスコープにセット
    request.setAttribute("userList", userSearchList);

    // userListへフォワードする
    RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userList.jsp");
    dispatcher.forward(request, response);

  }

}

Project/src/main/java/controller/UserUpdateServlet.java
package controller;

import java.io.IOException;
import java.sql.Date;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;
import util.PasswordEncoder;

/**
 * Servlet implementation class UserUpdateServlet
 */
@WebServlet("/UserUpdateServlet")
public class UserUpdateServlet extends HttpServlet {
  private static final long serialVersionUID = 1L;

  /**
   * @see HttpServlet#HttpServlet()
   */
  public UserUpdateServlet() {
    super();
    // TODO Auto-generated constructor stub
  }

  /**
   * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
   */
  protected void doGet(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {
    // ログインチェック
    HttpSession session = request.getSession();
    User user = (User) session.getAttribute("userInfo");

    // もしユーザー情報が取得できない場合リダイレクト
    if (user == null) {
      response.sendRedirect("LoginServlet");
      return;
    }
    // idをキーにパラメータを取得
    String strId = request.getParameter("id");
    int id = Integer.valueOf(strId);

    // idを引数にUserDao.findById()を呼び出す
    UserDao userDao = new UserDao();
    User userDetail = userDao.findById(id);

    // キーuserに対して上記の戻り値をリクエストスコープに対してセットする
    request.setAttribute("user", userDetail);

    // userDetail.jspにフォワード
    RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userUpdate.jsp");
    dispatcher.forward(request, response);
  }

  /**
   * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
   */
  protected void doPost(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {
    try {
      // 文字コードを設定
      request.setCharacterEncoding("UTF-8");
      // 記入され送信されたリクエストパラメータを取得（パスワード、パスワード確認、ユーザー名、生年月日のみ）
      String strId = request.getParameter("strId");
      String password = request.getParameter("password");
      String passwordConfirm = request.getParameter("passwordConfirm");
      String name = request.getParameter("name");
      String strBirthDate = request.getParameter("birthDate");

      // 全ての値が入力されたかどうか（パスワードは空欄でも良い）
      boolean isNameEmpty = (name.equals(""));
      // 生年月日が空欄
      boolean isBirthDateEmpty = strBirthDate.equals("");
      // パスワードが2つとも同じか
      boolean isPasswordSame = (password.equals(passwordConfirm));


      // ひとつでも該当する場合(エラー)は入力された値を画面に表示するためリクエストコープへセット（pw以外）
      if (isNameEmpty || isBirthDateEmpty || !isPasswordSame) {

        int id = Integer.valueOf(strId);

        // idを引数にUserDao.findById()を呼び出す
        UserDao userDao = new UserDao();
        User userDetail = userDao.findById(id);
        userDetail.setName(name);

        // 生年月日入れても名前/passが空欄だった場合も、生年月日はnullにはせずに生かしたい
        if (!isBirthDateEmpty) {
          Date birthDate = Date.valueOf(strBirthDate);
          userDetail.setBirth_date(birthDate);
        } else {
          userDetail.setBirth_date(null);
        }

        // キーuserに対して上記の戻り値をリクエストスコープに対してセットする
        request.setAttribute("user", userDetail);

        // リクエストスコープにエラーメッセージをセット→setAttribute
        request.setAttribute("errMsg", "入力した内容は正しくありません");

        RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userUpdate.jsp");
        dispatcher.forward(request, response);
        return;

      }

      UserDao userDao = new UserDao(); // インスタンス化
      Date birthDate = Date.valueOf(strBirthDate);
      int id = Integer.parseInt(strId);
      // パスの暗号化
      String encodedPassword = PasswordEncoder.encodePassword(password);
      userDao.update(id, name, encodedPassword, birthDate);

      response.sendRedirect("UserListServlet");
    } catch (IllegalArgumentException e) {
      e.printStackTrace();

    }
  }
}

Project/src/main/webapp/WEB-INF/jsp/userAdd.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!-- DataFormat用 -->
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<!DOCTYPE html>
<html lang="ja">

<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>ユーザ新規登録画面</title>
<!-- BootstrapのCSS読み込み -->
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
	integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
	crossorigin="anonymous">
<!-- オリジナルCSS読み込み -->
<link href="css/original/common.css" rel="stylesheet">

</head>

<body>

	<!-- header -->
	<header>
		<nav
			class="navbar navbar-dark bg-dark navbar-expand  flex-md-row justify-content-end">

			<ul class="navbar-nav flex-row">
				<li class="nav-item"><span class="navbar-text">${userInfo.name } さん</span></li>
				<li class="nav-item"><a class="nav-link text-danger"
					href="LogoutServlet">ログアウト</a></li>
			</ul>
		</nav>
	</header>
	<!-- /header -->

	<!-- body -->
	<div class="container-fluid">
		<div class="row mb-3">
			<div class="col">
				<h1 class="text-center">ユーザ新規登録</h1>
			</div>
		</div>

		

		<div class="row">
			<div class="col-6 offset-3">
			
			<!-- エラー処理 start -->
				<c:if test="${errMsg != null}">
					<div class="alert alert-danger" role="alert">${errMsg}</div>
				</c:if>
				<!--エラー処理 end  -->
				
				<form action="UserAddServlet" method="post">
					<div class="form-group row">
						<label for="user-id" class="control-label col-3">ログインID</label>
						<div class="col-9">
							<input type="text" name="loginiId" id="loginId"
								class="form-control" value="${loginId }">
						</div>
					</div>
					<div class="form-group row">
						<label for="password" class="control-label col-3">パスワード</label>
						<div class="col-9">
							<input type="password" name="password" id="password"
								class="form-control" >
						</div>
					</div>
					<div class="form-group row">
						<label for="password-confirm" class="control-label col-3">パスワード(確認)</label>
						<div class="col-9">
							<input type="password" name="passwordConfirm"
								id="password-confirm" class="form-control">
						</div>
					</div>
					<div class="form-group row">
						<label for="user-name" class="control-label col-3">ユーザ名</label>
						<div class="col-9">
							<input type="text" name="name" id="name"
								class="form-control" value="${name }">
						</div>
					</div>
					<div class="form-group row">
						<label for="continent" class="control-label col-3">生年月日</label>

						<div class="col-9">
							<input type="date" name="birthDate" id="birthDate"
								class="form-control" size="30" value="${birthDate }">
						</div>
					</div>

					<div>
						<button type="submit" value="登録"
							class="btn btn-primary btn-block form-submit">登録</button>
					</div>
					<div class="row mt-3">
						<div class="col">
							<a href="UserListServlet">戻る</a>
						</div>
					</div>
				</form>
			</div>
		</div>
	</div>




</body>

</html>

Project/src/main/webapp/WEB-INF/jsp/userDelete.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<!DOCTYPE html>
<html lang="ja">

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>ユーザ削除画面</title>
	<!-- BootstrapのCSS読み込み -->
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
		integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

</head>

<body>

	<!-- header -->
	<header>
		<nav class="navbar navbar-dark bg-dark navbar-expand  flex-md-row justify-content-end">

			<ul class="navbar-nav flex-row">
				<li class="nav-item"><span class="navbar-text">${userInfo.name }
						さん</span>
				</li>
				<li class="nav-item"><a class="nav-link text-danger" href="LogoutServlet">ログアウト</a></li>
			</ul>
		</nav>
	</header>
	<!-- /header -->

	<!-- body -->
	<div class="container">
		<div class="row">
			<div class="col-6 offset-3">
				<div class="row mb-5 mt-3">
					<div class="col">
						<h1 class="text-center">ユーザ削除確認</h1>
					</div>
				</div>
				<div class="row">
					<div class="col">
						<p>ログインID： ${user.login_id}</p>
						<p>を本当に削除してよろしいでしょうか？</p>
					</div>
				</div>
				<div class="row">
					<div class="col">
						<a href="UserListServlet" class="btn btn-light btn-block">いいえ</a>
					</div>
					<div class="col">
					<form action="UserDeleteServlet" method="post" >
					<button type="submit" class="btn btn-primary btn-block">はい</button>
						<input type="hidden" id="id" value="${user.id }" name="id" />
					</form>
					</div>
				</div>
			</div>
		</div>
	</div>

</body>

</html>

Project/src/main/webapp/WEB-INF/jsp/userList.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!-- DataFormat用 -->
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>

<!DOCTYPE html>
<html lang="ja">

<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>ユーザ一覧画面</title>
<!-- BootstrapのCSS読み込み -->
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
	integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
	crossorigin="anonymous">
<!-- オリジナルCSS読み込み -->
<link href="css/original/common.css" rel="stylesheet">
</head>

<body>

	<!-- header -->
	<header>
		<nav
			class="navbar navbar-dark bg-dark navbar-expand  flex-md-row justify-content-end">

			<ul class="navbar-nav flex-row">
				<li class="nav-item"><span class="navbar-text">${userInfo.name }
						さん</span></li>
				<li class="nav-item"><a class="nav-link text-danger"
					href="LogoutServlet">ログアウト</a></li>
			</ul>
		</nav>
	</header>
	<!-- /header -->

	<div class="container">
		<div class="row">
			<div class="col">
				<h1 class="text-center">ユーザ一覧</h1>
			</div>
		</div>

		<!-- 新規登録リンク -->
		<div class="row">
			<div class="col">
				<p class="text-right">
					<a href="UserAddServlet">新規登録</a>
				</p>
			</div>
		</div>


		<!-- 検索ボックス -->
		<div class="row">
			<div class="col">

				<div class="card">
					<div class="card-body">

						<form action="UserListServlet" method="post">
							<div class="form-group row">
								<label for="loginId" class="col-2 col-form-label">ログインID</label>
								<div class="col-10">
									<input type="text" name="loginId" class="form-control"
										id="loginId" value="">
								</div>
							</div>

							<div class="form-group row">
								<label for="name" class="col-2 col-form-label">ユーザ名</label>
								<div class="col-10">
									<input type="text" name="name" class="form-control" id="name"
										value="">
								</div>
							</div>

							<div class="form-group row">
								<label for="birthDate" class="col-2 col-form-label">生年月日</label>
								<div class="col-10">
									<div class="row">
										<div class="col-5">
											<input type="date" name="birthDateStart" id="birthDateStart"
												class="form-control" value="">
										</div>
										<div class="col-2 text-center">~</div>
										<div class="col-5">
											<input type="date" name="birthDateEnd" id="birthDateEnd"
												class="form-control" value="">
										</div>
									</div>
								</div>
							</div>

							<div class="text-right">
								<button type="submit" class="btn btn-primary form-submit">検索</button>
							</div>
						</form>
					</div>
				</div>
			</div>
		</div>

		<!-- 検索結果一覧 -->
		<div class="row mt-3">
			<div class="col">
				<table class="table table-striped">
					<thead class="thead-dark">
						<tr>
							<th>ログインID</th>
							<th>ユーザ名</th>
							<th>生年月日</th>
							<th></th>
						</tr>
					</thead>
					<tbody>
						<c:forEach var="user" items="${userList}">
							<tr>
								<td>${user.login_id }</td>
								<td>${user.name }</td>
								<td><fmt:formatDate value="${user.birth_date }"
										pattern="yyyy年MM月dd日" /></td>
								<td class="float-right">
									<a class="btn btn-primary" href="UserDetailServlet?id=${user.id }">詳細</a> 
									<c:if test="${userInfo.id == user.id || userInfo.admin }">
										<a class="btn btn-success" href="UserUpdateServlet?id=${user.id }">更新</a>
									</c:if>

									<c:if test="${userInfo.admin}">
										<a class="btn btn-danger"
											href="UserDeleteServlet?id=${user.id }">削除</a>
									</c:if></td>
							</tr>
						</c:forEach>
					</tbody>
				</table>

			</div>
		</div>
	</div>

</body>

</html>